Subject: bug#25461: [Patch]: Missing doc strings for "," and ",@".

From: [email-masked]
Date: Wed, 18 Jan 2017 19:16:34 -0500

Alan Mackenzie <[email-masked]> writes:

>
> I'll just point out one thing I'm proposing changing.  That is, to use
> princ rather than prin1 to print the name of the function.  This causes,
> for example, backtick to be printed as
>
>     `
>
> rather than the
>
>     \`
>
> we get at the moment.  This might cause problems for function names
> which include backslashes or unprintable characters such as \n.

Perhaps only do this for symbols which have `reader-macro' set in their
plist?

> +;; Give `,' and `,@' documentation strings which can be examined by C-h f.
> +(put '\, 'function-documentation
> +     "`,' signals that the next form should be evaluated and inserted.

This conflates the reader macro with its particular use by the backquote
macro.  I think it's better to explain only the reader macro here, and
link to ` and pcase for more details.

> +It can occur only in `\\=`' constructs.

This isn't true.